LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices

Reply
 
Search this Thread
Old 10-19-2010, 07:05 AM   #1
landaille
LQ Newbie
 
Registered: Oct 2010
Posts: 1

Rep: Reputation: 0
xmgrace installation failed, problem of X11-devel


Hi

I am on a Red Hat Enterprise Linux Client release 5.5 for 64-bit x86_64 and I try to install xmgrace.
During the ./configure command, I have this message :
checking for X... no

After research, this message is due to the fact I have not installed libX11-devel. So, I try with yum but no libX11-devel...

However I find it on the rhn (libX11-devel-1.0.3-9.el5.x86_64.rpm). I download and install it. Now I have problems of dependencies, I need :
- libX11 = 1.0.3-9.el5
- libXdmcp-devel
- xorg-x11-proto-devel >= 7.1-2

xorg-x11-proto-devel can't be found with yum, I download it by the rhn and install it and again, problems of dependencies, I need mesa-libGL-devel.

mesa-libGL-devel is not available by yum. I download it by rhn and install it and a new problem of dependecies, I need libX11-devel!!

So I'm disappointed, for install libX11-devel, I have to settle the dependencies which need libX11-devel...

My questions are :
- Is it normal that the devel packages mentionned above can't be found with yum?
- How I can install libX11-devel?


Thanks
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
compile xmgrace on Fedora10 failed: Motif >= 1002 compatible API. centguy Linux - Software 9 08-22-2009 09:40 AM
xmgrace and xemacs installation abhattacharya Linux - Enterprise 0 04-29-2008 01:47 AM
xorg-x11-devel dependant on old version of xorg-x11-libs thetawaverider Linux - Software 1 11-09-2006 07:22 AM
Core 4 - X11-devel complains about X11-libs which are installed Ephracis Fedora 3 09-05-2005 09:32 AM
xorg-x11-libs required by xorg-x11-devel darknails Fedora 1 01-13-2005 02:34 PM


All times are GMT -5. The time now is 06:03 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration